@charset "utf-8";

/* subPost */
#wrap.subPost {
    position: absolute;
    top: 0; left: 0;
    background: #fff;
    display: none;
}
#wrap.subPost.open {
    display: block;
}

/* contentArea */
#contentArea {
    flex: 1;
    height: 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

#contentArea a {
    display: inline-block;
    font-weight: 500;
    padding: 8px 5px 0;
    color: rgba(0, 0, 0, 0.5);
    text-decoration: underline rgba(0, 0, 0, 0.2);
    transition: .2s;
}

#contentArea a:last-of-type {
    padding-bottom: 8px;
}

#contentArea a:hover {
    color: rgba(0, 0, 0);
}

/* fixed title */
#contentArea h3.fixedTitle {
    width: 100%;
    padding: 0 50px;
    height: 120px;
    box-sizing: border-box;
    background: #fff;
    border-bottom: 1px solid#000;
    font-size: 1.8rem;
    line-height: 120px;
    margin-bottom: 0;
}

#contentArea .btnClosePost {
    display: inline-block;
    width: auto;
    margin-left: 20px;
    padding: 10px 20px;
    position: static;
    font-size: 18px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.5);
    line-height: 1;
}

#contentArea .btnClosePost svg {
    width: 20px;
    height: 20px;
    vertical-align: middle;
    fill: rgba(0, 0, 0, 0.5);
}

#contentArea .btnClosePost:hover,
#contentArea .btnClosePost:hover svg {
    color: #000;
    fill: #000;
}

/* postBottom */
#contentArea .postBottom {
    width: 100%;
    height: calc(100% - 120px);
    display: flex;
    justify-content: space-between;
    box-sizing: border-box;
}

/* postContent */
#contentArea .postContent {
    width: 100%;
}

#contentArea .text_area {
    padding: 0 40px;
    box-sizing: border-box;
    overflow-y: auto;
    width: 100%;
    height: 100%;
}

#contentArea .text_area .paragraph {
    padding: 50px 20px;
}

#contentArea .text_area h4 {
    margin: 20px 0 40px;
}

#contentArea .text_area a:after {
    content: '(블로그로 연결)';
    font-size: 14px;
}

/* sideArea */

#contentArea .sideArea p {
    margin-bottom: 40px;
}

#contentArea .sideArea a {
    color: rgba(0, 0, 0, 0.6);
    text-decoration: none;
    transition: all 0.2s;
}
#contentArea .sideArea a:hover {
    color: #000;
    text-decoration: underline 1px;
}

@media screen and (max-width: 1440px) {
    /* snb */
    #wrap.subPost #snb {
        display: none;
    }

    /* h3 */
    #contentArea h3.fixedTitle {
        width: auto;
        font-size: 1.4rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    /* btnClose */
    #contentArea .btnClosePost {
        width: auto;
        height: auto;
        margin-left: 0;
    }

    /* postBottom */
    #contentArea .postBottom {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    #contentArea .postContent {
        width: 75%;
        height: 100%;
    }

    #contentArea .text_area .paragraph {
        padding: 30px 20px;
    }

    /* sideArea */
    #contentArea .sideArea {
        position: static;
        box-sizing: border-box;
        width: 20%;
        padding: 0;
        margin: 20px 20px 0;
    }
}
@media screen and (max-width: 992px) {
    /* h3 */
    #contentArea h3.fixedTitle {
        line-height: 1.6;
    }

    /* btnClose */
    #contentArea .btnClosePost {
        font-size: 1rem;
        width: auto;
        height: auto;
    }
}

@media screen and (max-width: 768px) {
    .subPost section {
        border-right: 0;
    }
    #sectionWrap.subPost {
        height: calc(100% - 40px);
    }

    #contentArea .btnClosePost {
        font-size: 1rem;
        display: flex;
        padding: 10px;
    }

    #contentArea h3.fixedTitle {
        line-height: 1.4;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    #contentArea .btnClosePost svg {
        width: 16px;
        height: 16px;
    }

    #contentArea .postBottom {
        flex-wrap: nowrap;
        justify-content: start;
        overflow-y: auto;
    }

    #contentArea .postContent {
        width: 100%;
        overflow: auto;
    }

    #contentArea .sideArea {
        position: static;
        order: -1;
        width: 100%;
        margin: 0;
        padding: 15px 50px;
        overflow:initial;
        background: #fff;
        border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    }
    #contentArea .sideArea p {
        margin-bottom: 15px;
    }
    #contentArea .sideArea ul {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
}

@media screen and (max-width: 576px) {
    #wrap.subPost {
        height: 100vh;
    }
    #contentArea h3.fixedTitle {
        padding: 20px 20px 10px;
        font-size: 20px;
        position: relative;
    }
    #contentArea .btnClosePost {
        font-size: 0.8rem;
        position: absolute;
        top: 5px; right: 20px;
    }
    #contentArea .postBottom {
        height: calc(100% - 120px);
        overflow-y: auto;
    }
    #contentArea .postContent {
        height: auto;
        overflow: initial;
    }
    #contentArea .text_area {
        padding: 0;
        height: auto;
    }
    #contentArea .sideArea {
        padding: 15px 30px;
    }
}